/**
 * Returns an object with keys `cjs` and `esm` each pointing to an array of
 * strings representing CJS and ES modules under node_modules, respectively.
 */
export declare function determineModuleTypes({ rootMode }?: {
    rootMode: 'local' | 'upward';
}): Promise<{
    cjs: string[];
    esm: string[];
}>;
/**
 * Clear the internal cache (refresh view of node_modules). Otherwise, the
 * results of `determineModuleTypes()` is memoized.
 */
export declare function clearCache(): void;
